#include <bits/stdc++.h>
typedef long long ll;

using namespace std;

struct broj{
    ll broj;
    ll pojavljivanja;
    ll prvi;
    ll poslednji;
};

bool opadajuce(broj broj1, broj broj2){
    return broj1.pojavljivanja > broj2.pojavljivanja;
}

void prebroj(string s, broj brojevi[]){
    int pom;
    for(int i = 0;i < s.size();i++){
        pom = s[i] - '0';
        brojevi[pom].pojavljivanja++;
        if(brojevi[pom].prvi < 0) brojevi[pom].prvi = i;
        if(brojevi[pom].poslednji < i) brojevi[pom].poslednji = i;
    }
}

ll cvrst(broj brojevi[], string s){
    ll cifre = 0;
    for(int i = 0;i < 10;i++){
        if(brojevi[i].pojavljivanja == 0)
            continue;
        if((brojevi[i].poslednji - brojevi[i].prvi > 1) && (brojevi[i].poslednji - brojevi[i].prvi - 1 != brojevi[i].pojavljivanja)){
            cifre += abs(brojevi[i].pojavljivanja - brojevi[i].poslednji - brojevi[i].prvi - 1);
        }
    }
    return cifre;
}

int main(){
    ios::sync_with_stdio(false);
    cin.tie(0);
    string s;
    cin >> s;
    broj brojevi[10];
    for(int i = 0;i < 10;i++){
        brojevi[i].broj = i;
        brojevi[i].pojavljivanja = 0;
        brojevi[i].prvi = -1;
        brojevi[i].poslednji = -1;
    }
    prebroj(s, brojevi);
    sort(brojevi, brojevi + 10, opadajuce);
    cout << cvrst(brojevi, s);
    return 0;
}